      real function amass2(p1,p2)

      implicit none

      integer ndim
      parameter (ndim=4)
      real p1(ndim),p2(ndim),p(ndim)

      real amass

      call psum(p1,p2, p)

      amass2 = amass(p)

      return
      end

